VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Bowditch"
   ClientHeight    =   2340
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2340
   LinkTopic       =   "Form1"
   ScaleHeight     =   2340
   ScaleWidth      =   2340
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Draw the curve on the form.
Private Sub DrawCurve(ByVal start_t As Single, ByVal stop_t As Single, ByVal dt As Single)
Dim t As Single

    Cls
    CurrentX = X(start_t)
    CurrentY = Y(start_t)

    t = start_t + dt
    Do While t < stop_t
        Line -(X(t), Y(t))
        t = t + dt
    Loop

    Line -(X(stop_t), Y(stop_t))
End Sub
' The parametric function X(t).
Private Function X(ByVal t As Single) As Single
    X = 8 * Sin(3 * t / 4)
End Function
' The parametric function Y(t).
Private Function Y(ByVal t As Single) As Single
    Y = 7 * Sin(t)
End Function

Private Sub Form_Paint()
Const PI As Single = 3.14159265
Const WID As Single = 17
Const HGT As Single = 17

    ScaleLeft = -WID / 2
    ScaleWidth = WID
    ScaleTop = HGT / 2
    ScaleHeight = -HGT

    DrawCurve 0, 8 * PI, 0.05
End Sub


